This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 739407 - Document autorecovery only works for ODF documents
Document autorecovery only works for ODF documents
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
15
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-18 15:31 EDT by Matthew Garrett
Modified: 2013-01-10 02:52 EST (History)
5 users (show)

See Also:
Fixed In Version: 3.3.3.1-7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-08 10:19:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Matthew Garrett 2011-09-18 15:31:16 EDT
The document autorecovery code always attempts to open files in their original format, despite the fact that autorecovered files are always in ODF. This results in autorecovery failing and deleting the backup files. This is fixed upstream in 3.4.2 - it would be nice to have it fixed in F15. Patch is at http://cgit.freedesktop.org/libreoffice/libs-core/commit/?id=6c397dfce4f7afddb55329b738388ab4eb16b7f8
Comment 1 Caolan McNamara 2011-09-19 04:36:13 EDT
fair enough, backported, will be in >= 3.3.3.1-7 if(when) we push another update for f15
Comment 2 Caolan McNamara 2012-06-08 10:19:43 EDT
this got pushed in a F-15 update

Note You need to log in before you can comment on or make changes to this bug.